Changes Notification Data Source.
Use this method to change Notification data source properties. Permissions: Administrator, SupportAdministrator users.
Path Parameters
- Type: integerFormat: int32idrequired
Data source ID
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Mandatory. DataSource to be changed. Mandatory fields: ID
- Type: integerFormat: int32Blade
I D Blade identifier.
- Type: stringDescriptionmax length:100
Feed description.
- Type: enumFrequency
BaseFrequencyEnum { Hourly: 'H'; Daily: 'D'; Weekly: 'W'; Monthly: 'M'; SubPeriodStart: 'S'; SubPeriodEnd: 'E'; PnLPeriodStart: 'P'; PnLPeriodEnd: 'L'; Quarterly: 'Q'; Yearly: 'Y' }
valuesHDWMSEPLQY - Type: string | nullFrequency
Option max length:100Frequency days as kept in the DB. Type: string; if Frequency = 'D' - null (every day), else if Frequency = 'W' - 0-6, else if Frequency = 'M' - 01-31
- Type: booleanHide
When true - Turns off data source processing
- Type: string | nullFormat: time-spanQuiet
Hours End End of Quiet Time before which notifications are not sent
- Type: string | nullFormat: time-spanQuiet
Hours Start Start of Quiet Time after which notifications are not sent
Responses
- 200
OK
curl /v2/ActivityFeedSetup/Notifications/1 \
--request PATCH \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"BladeID": 1,
"Description": "",
"Hide": true,
"Frequency": "H",
"FrequencyOption": null,
"QuietHoursStart": "21:30:00",
"QuietHoursEnd": "21:30:00"
}'
